#Module-Specific definitions
%define apache_version 2.2.8
%define mod_name mod_auth_pubtkt
%define mod_conf B32_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	A pragmatic Web Single Sign-On (SSO) solution
Name:		apache-%{mod_name}
Version:	0.5
Release:	%mkrel 2
Group:		System/Servers
License:	BSD-like
URL:		https://neon1.net/mod_auth_pubtkt/
Source0:	https://neon1.net/mod_auth_pubtkt/mod_auth_pubtkt-%{version}.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
BuildRequires:  openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_auth_pubtkt is an Apache module that authenticates a user based on a cookie
with a ticket that has been issued by a central login server and digitally
signed using either RSA or DSA.

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} %{mod_conf}

%build
sh configure --apachever=2.2

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 src/.libs/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc php-login LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}



%changelog
* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5-2mdv2010.0
+ Revision: 406544
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2010.0
+ Revision: 387669
- 0.5

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdv2009.1
+ Revision: 325563
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdv2009.0
+ Revision: 234667
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2009.0
+ Revision: 215537
- fix rebuild

* Sun May 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2009.0
+ Revision: 200956
- fix build
- import apache-mod_auth_pubtkt


* Sun May 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2009.0
- initial Mandriva package
